> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/android/changelogs/version-5/v5-8-0.md).

# Version 5.8.0 Changelog (April 05, 2012)

World's #1 PDF SDK Library for Web, Mobile, Server, Desktop

Version: 5.8.0.13559

Release Date: April 05, 2012

### Notes

* Added PDFViewCtrl.openURL() for supporting incremental downloading/viewing.
* Added PDFViewCtrl.Tool.onDocumentDownloadEvent() interface for receiving download events.
* Added PDFViewCtrl.DocumentDownloadListener interface for receiving download events.
* Added PDFViewCtrl.setDocumentDownloadListener() function.
* Added PDFViewCtrl.getAppliedCanvasTransform() to query the extra transformation matrix PDFViewCtrl applied to its Canvas.
* Modified how page sliding is handled so that contents drawn in PDFViewCtrl.Tool.onDraw() are still relative to the moving pages.
* Added PDFViewCtrl.isFinishedRendering(bool) to check if the current visible region is fully rendered.
* Addded PDFViewCtrl.waitForRendering() function that can be called to avoid flickering.
* Added PDFViewCtrl.setZoomLimit() function to cap zoom levels.
* Modified PDFViewCtrl.setClientBackgroundColor() to allow transparent background.
* Modified PDFViewCtrlDemo.java to show how to add background image, how to set zoom limits, and how to open a URL.
* Fixed a bug in sticky note creation (StickNoteCreate class in tools.jar).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apryse.com/android/changelogs/version-5/v5-8-0.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
